Update compensation

Update the compensation of a Global Payroll employee. Returns the full compensation history including the update. Token scopes: people:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequiredformat: "uuid"
Unique identifier for a worker in UUID format.

Request

Request body containing the data to update the compensation of the employee.
dataobjectRequired

Response

Successful operation.
datalist of objects

Errors